<div class="row">
  <div class="col-8">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            Advance Portal
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <table class="table table-bordered">
          <thead>
            <th>Sr.no</th>
            <th>Advance ID</th>
            <th>Advance Date</th>
            <th>Advance Amount</th>
            <th>Reason</th>
            <th>Employee Id</th>
            <th>Action</th>
          </thead>

          <tbody>
            <tr *ngFor="let item of advanceArray; let sr=index">
              <td>{{sr+1}}</td>
              <td>{{item.advanceId}}</td>
              <td>{{item.advanceDate}}</td>
              <td>{{item.advanceAmount}}</td>
              <td>{{item.reason}}</td>
              <td>{{item.empId}}</td>
              <td>
                <Button class="btn btn-success btn-sm" (click)="onEdit(item.advanceId)">edit</Button>
                <Button class="btn btn-danger btn-sm mx-2" (click)="onDelete(item.advanceId)">delete</Button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>

  <div class="col-4">
    <div class="card">
      <div class="class-header bg-primary">
        <div class="row">
          <div class="col-6 text-white">
            New Advance
          </div>
          <div class="col-6 text-right">

          </div>
        </div>
      </div>
      <div class="card-body">
        <form>
          <div class="row">
            <div class="col-6 mb-2">
              <label for="advanceId">advanceId </label>
              <input type="text" class="form-control" name="advanceId" [(ngModel)]="this.advanceObj.advanceId" />
            </div>
            <div class="col-6 mb-2">
              <label for="advanceDate">advanceDate </label>
              <input type="datetime-local" class="form-control" name="advanceDate"
                [(ngModel)]="this.advanceObj.advanceDate" />
            </div>
            <div class="col-6 mb-2">
              <label for="advanceAmount"> advanceAmount</label>
              <input type="text" class="form-control" name="advanceAmount"
                [(ngModel)]="this.advanceObj.advanceAmount" />
            </div>
            <div class="col-6 mb-2">
              <label for="reason"> reason</label>
              <input type="text" class="form-control" name="reason" [(ngModel)]="this.advanceObj.reason" />
            </div>
            <div class="col-6 mb-2">
              <label for="">empId </label>
              <input type="text" class="form-control" name="empId" [(ngModel)]="this.advanceObj.empId" />
            </div>
          </div>
          <div class="row">
            <div class="col-6 mb-2">
              <button (click)="onReset()" class="btn btn-secondary btn-sm">Reset</button>
            </div>
            <div class="col-6 mb-2 text-center">
              {{this.advanceObj.advanceId}}
              <button (click)="onSave()" class="btn btn-success btn-sm" *ngIf="this.advanceObj.advanceId==0">Save
                Employee</button>
              <button (click)="onSave()" class="btn btn-warning btn-sm" *ngIf="this.advanceObj.advanceId!=0">Update
                Employee</button>
            </div>
          </div>
        </form>
      </div>

    </div>
  </div>
</div>